> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Token Trades

> 该代币在全市场各池中的最新成交。

## SDK Example

<CodeGroup>
  ```typescript SDK
  import { Client } from '@solana-tracker/data-api';

  const client = new Client({ apiKey: 'YOUR_API_KEY' });

  const data = await client.getTokenTrades('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');

  ```
</CodeGroup>


## OpenAPI

````yaml /cn/data-api/openapi.json get /trades/{tokenAddress}
openapi: 3.1.0
info:
  title: Solana Tracker 数据 API
  description: Solana Tracker 数据 API：提供代币价格、持币地址、成交、图表、钱包数据、风险信号与市场分析等能力。
  version: 1.0.0
  contact:
    email: contact@solanatracker.io
servers:
  - url: https://data.solanatracker.io
    description: 生产环境
security:
  - apiKey: []
paths:
  /trades/{tokenAddress}:
    get:
      tags:
        - Trades
      summary: Get Token Trades
      description: 该代币在全市场各池中的最新成交。
      parameters:
        - name: tokenAddress
          in: path
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          description: 分页游标
          schema:
            type: string
        - name: showMeta
          in: query
          description: 设为 true 时为 from/to 两端代币补充元数据。
          schema:
            type: boolean
        - name: parseJupiter
          in: query
          description: 设为 true 时将一笔 Jupiter 交换中的多笔转账合并为单条展示。
          schema:
            type: boolean
        - name: hideArb
          in: query
          description: 设为 true 时隐藏套利或与当前代币筛选无关的成交。
          schema:
            type: boolean
        - name: sortDirection
          in: query
          description: 排序方向：DESC 降序或 ASC 升序。
          schema:
            type: string
            default: DESC
            enum:
              - DESC
              - ASC
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenTradesResponse'
              example:
                trades:
                  - tx: >-
                      46E7cuLcu99zESHB6TeWT9MyMNiBjewQGRfNxQyNPQsqaKLLChrBM5GSNFkvhgAoV24UR5BoFkjAkXXWfUivEPw2
                    amount: 17944544.509647
                    priceUsd: 0.0000046273144623514245
                    volume: 83.03505032979842
                    volumeSol: 0.355487548
                    type: sell
                    wallet: 4GRgm4UdPRPwEe2CjHiUrLmtqsZi3NGbWQziCdFXzDuk
                    time: 1759816878222
                    program: pumpfun-amm
                    pools:
                      - F5QHFL9FQFevvsv6pPzTnviFcCjYhBAP9qcj9rVRxy9J
      x-codeSamples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getTokenTrades('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');
      x-code-samples:
        - lang: typescript
          label: SDK
          source: >
            import { Client } from '@solana-tracker/data-api';


            const client = new Client({ apiKey: 'YOUR_API_KEY' });


            const data = await
            client.getTokenTrades('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');
components:
  schemas:
    TokenTradesResponse:
      type: object
      properties:
        trades:
          type: array
          items:
            $ref: '#/components/schemas/TokenTrade'
        nextCursor:
          type: integer
        hasNextPage:
          type: boolean
    TokenTrade:
      type: object
      properties:
        tx:
          type: string
        amount:
          type: number
        priceUsd:
          type: number
        volume:
          type: number
        volumeSol:
          type: number
        type:
          type: string
          enum:
            - buy
            - sell
        wallet:
          type: string
        time:
          type: integer
        program:
          type: string
        pools:
          type: array
          items:
            type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: 用于鉴权的 API Key

````